USES LRLRoutines;

TYPE
	TPlayerRec = RECORD
		xpos,ypos: BYTE;
		colour: BYTE;
		control: BYTE;
	END;

CONST
	ConvBuff: ARRAY[0..9] OF BYTE =
	(48, 56, 52, 49, 50, 53, 49, 51, 48, 48);

VAR
	InFile: FILE;
	OutFile: FILE;
	Buffer1: ARRAY[1..26,1..16] OF BYTE;
	Buffer2: ARRAY[1..16,1..30] OF BYTE;
	tmpBuff: ARRAY[1..6*16] OF BYTE;
	PlayerBuff: ARRAY[1..10] OF TPlayerRec;
	i,i1,j,k,l,m: INTEGER;

BEGIN
	m:=0;
	IF PARAMCOUNT<2 THEN HALT;
	ASSIGN(InFile,PARAMSTR(1));
	RESET(InFile,1);
	IF IORESULT<>0 THEN HALT;
	ASSIGN(OutFile,PARAMSTR(2));
	REWRITE(OutFile,1);
	IF IORESULT<>0 THEN HALT;
	FOR i1:=1 TO 150 DO BEGIN
		BLOCKREAD(InFile,Buffer1,26*16,l);
		IF l<>26*16 THEN BEGIN
			WRITELN(m);
			HALT;
		END;
		BLOCKREAD(InFile,tmpBuff,6*16);
		k:=2;
		FOR i:=1 TO tmpBuff[4]+tmpBuff[3] DO BEGIN
			IF tmpBuff[5+(i-1)*2]<>$FF THEN BEGIN
				PlayerBuff[i].xpos:=tmpBuff[5+(i-1)*2]+3;
				PlayerBuff[i].ypos:=tmpBuff[6+(i-1)*2]+1;
				PlayerBuff[i].colour:=k;
				PlayerBuff[i].control:=2;
				INC(k);
				IF k=5 THEN k:=2;
			END
			ELSE
			BEGIN
				PlayerBuff[i].xpos:=0;
				PlayerBuff[i].ypos:=0;
				PlayerBuff[i].colour:=0;
				PlayerBuff[i].control:=0;
			END;
		END;
		PlayerBuff[1].control:=1;
		PlayerBuff[1].colour:=1;
		FOR i:=1 TO 16 DO BEGIN
			Buffer2[i,1]:=55;
			Buffer2[i,2]:=55;
			Buffer2[i,30]:=55;
			Buffer2[i,29]:=55;
			FOR j:=1 TO 26 DO BEGIN
				Buffer2[i,j+2]:=ConvBuff[Buffer1[j,i]];
			END;
		END;
		BLOCKWRITE(OutFile,PlayerBuff,40);
		BLOCKWRITE(OutFile,Buffer2,30*16);
		INC(m);
		DataFill(PlayerBuff,40,0,0);
	END;
END.

